package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;
import org.springframework.integration.annotation.Default;

/**
 * 违规项扣分设置对象 lab_violation_score_site
 * 
 * @author zd
 * @date 2021-12-13
 */
@ApiModel("违规项扣分设置")
public class LabViolationScoreSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private String violationMeth;
    private String violationVal;

    private String violationName;

    /** 序号 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 穿戴未通过扣分 */
    @Excel(name = "穿戴未通过扣分")
    @Length(message = "穿戴未通过扣分长度不能超过255")
    @ApiModelProperty(value = "穿戴未通过扣分")
    private String wear;
    /** 未做离开考勤 */
    @Excel(name = "未做离开考勤")
    @Length(message = "未做离开考勤长度不能超过255")
    @ApiModelProperty(value = "未做离开考勤")
    private String leaves;
    /** 未考勤签到进入实验室 */
    @Excel(name = "未考勤签到进入实验室")
    @Length(message = "未考勤签到进入实验室长度不能超过255")
    @ApiModelProperty(value = "未考勤签到进入实验室")
    private String laboratory;
    /** 未按安全准入要求完成离开检查 */
    @Excel(name = "未按安全准入要求完成离开检查")
    @Length(message = "未按安全准入要求完成离开检查长度不能超过255")
    @ApiModelProperty(value = "未按安全准入要求完成离开检查")
    private String safeAccess;
    /** 备注 */
    @Excel(name = "备注")
    @Length(message = "备注长度不能超过255")
    @ApiModelProperty(value = "备注")
    private String remake;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setWear(String wear) 
    {
        this.wear = wear;
    }

    public String getWear() 
    {
        return wear;
    }
    public void setLeaves(String leave)
    {
        this.leaves = leaves;
    }

    public String getLeaves()
    {
        return leaves;
    }
    public void setLaboratory(String laboratory) 
    {
        this.laboratory = laboratory;
    }

    public String getLaboratory() 
    {
        return laboratory;
    }
    public void setSafeAccess(String safeAccess) 
    {
        this.safeAccess = safeAccess;
    }

    public String getSafeAccess() 
    {
        return safeAccess;
    }
    public void setRemake(String remake) 
    {
        this.remake = remake;
    }

    public String getRemake() 
    {
        return remake;
    }

    public String getViolationMeth() {
        return violationMeth;
    }

    public void setViolationMeth(String violationMeth) {
        this.violationMeth = violationMeth;
    }

    public String getViolationVal() {
        return violationVal;
    }

    public void setViolationVal(String violationVal) {
        this.violationVal = violationVal;
    }

    public String getViolationName() {
        return violationName;
    }

    public void setViolationName(String violationName) {
        this.violationName = violationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("wear", getWear())
            .append("leaves", getLeaves())
            .append("laboratory", getLaboratory())
            .append("safeAccess", getSafeAccess())
            .append("remake", getRemake())
            .toString();
    }
}
